package com.bjtdba.entity.order;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 订单表(StoreOrder)实体类
 *
 * @author makejava
 * @since 2022-09-29 10:33:09
 */
public class StoreOrder implements Serializable {
    private static final long serialVersionUID = -87801829396096700L;
    /**
     * 订单ID
     */
    private Long orderId;
    /**
     * 订单组 id
     */
    private Integer groupOrderId;
    /**
     * 订单号
     */
    private String orderSn;
    /**
     * 用户id
     */
    private Long uid;
    /**
     * 用户姓名
     */
    private String realName;
    /**
     * 用户电话
     */
    private String userPhone;
    /**
     * 详细地址
     */
    private String userAddress;
    /**
     * 购物车id
     */
    private String cartId;
    /**
     * 订单商品总数
     */
    private Long totalNum;
    /**
     * 订单总价
     */
    private BigDecimal totalPrice;
    /**
     * 邮费
     */
    private BigDecimal totalPostage;
    /**
     * 实际支付金额
     */
    private BigDecimal payPrice;
    /**
     * 支付邮费
     */
    private BigDecimal payPostage;
    /**
     * 一级佣金
     */
    private BigDecimal extensionOne;
    /**
     * 二级佣金
     */
    private BigDecimal extensionTwo;
    /**
     * 平台手续费
     */
    private BigDecimal commissionRate;
    /**
     * 优惠券id
     */
    private String couponId;
    /**
     * 优惠券金额
     */
    private BigDecimal couponPrice;
    /**
     * 0普通1自提
     */
    private Integer orderType;
    /**
     * 支付状态
     */
    private Integer paid;
    /**
     * 支付时间
     */
    private Date payTime;
    /**
     * 支付方式 0余额 1微信 2小程序 4支付宝 5特殊商户积分
     */
    private Integer payType;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 订单状态（0：待发货；1：待收货；2：待评价；3：已完成；4已申请退款；-1：已退款）5未支付
     */
    private Integer status;
    /**
     * 发货类型(1:发货 2: 送货 3: 虚拟)
     */
    private String deliveryType;
    /**
     * 快递名称/送货人姓名
     */
    private String deliveryName;
    /**
     * 快递单号/手机号
     */
    private String deliveryId;
    /**
     * 备注
     */
    private String mark;
    /**
     * 管理员备注
     */
    private String remark;
    /**
     * 总后台备注
     */
    private String adminMark;
    /**
     * 核销码
     */
    private String verifyCode;
    /**
     * 核销时间
     */
    private Date verifyTime;
    /**
     * 核销客服 id
     */
    private Long verifyServiceId;
    /**
     * 商户ID
     */
    private Long merId;
    /**
     * 对账id
     */
    private Integer reconciliationId;
    /**
     * 成本价
     */
    private BigDecimal cost;
    /**
     * 是否删除
     */
    private Integer isDel;
    /**
     * 后台是否删除
     */
    private Integer isSystemDel;
    
    private Integer remind;
    
    private String remindTime;
    /**
     * 是否记录公证处入账明细
     */
    private Integer gzc;
    /**
     * SaaS平台的交易订单编号
     */
    private String tradeNo;
    /**
     * 渠道商订单号
     */
    private String channelTradeNo;
    /**
     * 支付宝单号
     */
    private String alipayNo;
    /**
     * 微信单号
     */
    private String weixinNo;
    
    private Integer tableId;
    /**
     * 商户可收金额
     */
    private Double merMoney;
    /**
     * 上次订单状态 用于拒绝退款
     */
    private Integer lastStatus;
    /**
     * 分享的ID
     */
    private Integer shareId;
    /**
     * 积分支付用的商户ID
     */
    private Integer payMerId;
    /**
     * 0不分账  1分账
     */
    private Integer isSplitToTomorrow;
    /**
     * 分给服务商的钱
     */
    private Double serviceMoney;
    /**
     * 是否是测试订单
     */
    private Integer testOrder;
    /**
     * 大仓ID
     */
    private Integer dacangId;
    /**
     * 1快递 2 自提
     */
    private Integer distributionMode;
    /**
     * 大仓利润
     */
    private Double daCangProfit;
    /**
     * 推荐商家流水返佣
     */
    private Double recommendedMerchants;
    /**
     * 商户分佣金额
     */
    private Double merFanyong;
    /**
     * 1大仓订单  2非大仓订单   0 之前的订单
     */
    private Integer isDacang;
    /**
     * 1:供应链订单。0：平台订单
     */
    private Integer douhuomall;
    /**
     * 供应链订单状态0失败 1待付款 2待发货 3待收货 4已完成 5已取消 6售后中 7售后完成8拒收9待下单
     */
    private Integer douhuomallStatus;
    /**
     * 供应链订单返回结果
     */
    private String douhuomallMsg;
    /**
     * 供应链需要的地址id
     */
    private Integer addressId;
    /**
     * 供应链订单号
     */
    private String douhuomallOrderNo;
    /**
     * 供应链订单来源1京东、2星链、3测试商品、4云商特卖、5厂商、6天猫、7微唯宝特卖
     */
    private Integer supplyType;


    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Integer getGroupOrderId() {
        return groupOrderId;
    }

    public void setGroupOrderId(Integer groupOrderId) {
        this.groupOrderId = groupOrderId;
    }

    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    public Long getUid() {
        return uid;
    }

    public void setUid(Long uid) {
        this.uid = uid;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public String getUserAddress() {
        return userAddress;
    }

    public void setUserAddress(String userAddress) {
        this.userAddress = userAddress;
    }

    public String getCartId() {
        return cartId;
    }

    public void setCartId(String cartId) {
        this.cartId = cartId;
    }

    public Long getTotalNum() {
        return totalNum;
    }

    public void setTotalNum(Long totalNum) {
        this.totalNum = totalNum;
    }

    public BigDecimal getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(BigDecimal totalPrice) {
        this.totalPrice = totalPrice;
    }

    public BigDecimal getTotalPostage() {
        return totalPostage;
    }

    public void setTotalPostage(BigDecimal totalPostage) {
        this.totalPostage = totalPostage;
    }

    public BigDecimal getPayPrice() {
        return payPrice;
    }

    public void setPayPrice(BigDecimal payPrice) {
        this.payPrice = payPrice;
    }

    public BigDecimal getPayPostage() {
        return payPostage;
    }

    public void setPayPostage(BigDecimal payPostage) {
        this.payPostage = payPostage;
    }

    public BigDecimal getExtensionOne() {
        return extensionOne;
    }

    public void setExtensionOne(BigDecimal extensionOne) {
        this.extensionOne = extensionOne;
    }

    public BigDecimal getExtensionTwo() {
        return extensionTwo;
    }

    public void setExtensionTwo(BigDecimal extensionTwo) {
        this.extensionTwo = extensionTwo;
    }

    public BigDecimal getCommissionRate() {
        return commissionRate;
    }

    public void setCommissionRate(BigDecimal commissionRate) {
        this.commissionRate = commissionRate;
    }

    public String getCouponId() {
        return couponId;
    }

    public void setCouponId(String couponId) {
        this.couponId = couponId;
    }

    public BigDecimal getCouponPrice() {
        return couponPrice;
    }

    public void setCouponPrice(BigDecimal couponPrice) {
        this.couponPrice = couponPrice;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public Integer getPaid() {
        return paid;
    }

    public void setPaid(Integer paid) {
        this.paid = paid;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getDeliveryType() {
        return deliveryType;
    }

    public void setDeliveryType(String deliveryType) {
        this.deliveryType = deliveryType;
    }

    public String getDeliveryName() {
        return deliveryName;
    }

    public void setDeliveryName(String deliveryName) {
        this.deliveryName = deliveryName;
    }

    public String getDeliveryId() {
        return deliveryId;
    }

    public void setDeliveryId(String deliveryId) {
        this.deliveryId = deliveryId;
    }

    public String getMark() {
        return mark;
    }

    public void setMark(String mark) {
        this.mark = mark;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getAdminMark() {
        return adminMark;
    }

    public void setAdminMark(String adminMark) {
        this.adminMark = adminMark;
    }

    public String getVerifyCode() {
        return verifyCode;
    }

    public void setVerifyCode(String verifyCode) {
        this.verifyCode = verifyCode;
    }

    public Date getVerifyTime() {
        return verifyTime;
    }

    public void setVerifyTime(Date verifyTime) {
        this.verifyTime = verifyTime;
    }

    public Long getVerifyServiceId() {
        return verifyServiceId;
    }

    public void setVerifyServiceId(Long verifyServiceId) {
        this.verifyServiceId = verifyServiceId;
    }

    public Long getMerId() {
        return merId;
    }

    public void setMerId(Long merId) {
        this.merId = merId;
    }

    public Integer getReconciliationId() {
        return reconciliationId;
    }

    public void setReconciliationId(Integer reconciliationId) {
        this.reconciliationId = reconciliationId;
    }

    public BigDecimal getCost() {
        return cost;
    }

    public void setCost(BigDecimal cost) {
        this.cost = cost;
    }

    public Integer getIsDel() {
        return isDel;
    }

    public void setIsDel(Integer isDel) {
        this.isDel = isDel;
    }

    public Integer getIsSystemDel() {
        return isSystemDel;
    }

    public void setIsSystemDel(Integer isSystemDel) {
        this.isSystemDel = isSystemDel;
    }

    public Integer getRemind() {
        return remind;
    }

    public void setRemind(Integer remind) {
        this.remind = remind;
    }

    public String getRemindTime() {
        return remindTime;
    }

    public void setRemindTime(String remindTime) {
        this.remindTime = remindTime;
    }

    public Integer getGzc() {
        return gzc;
    }

    public void setGzc(Integer gzc) {
        this.gzc = gzc;
    }

    public String getTradeNo() {
        return tradeNo;
    }

    public void setTradeNo(String tradeNo) {
        this.tradeNo = tradeNo;
    }

    public String getChannelTradeNo() {
        return channelTradeNo;
    }

    public void setChannelTradeNo(String channelTradeNo) {
        this.channelTradeNo = channelTradeNo;
    }

    public String getAlipayNo() {
        return alipayNo;
    }

    public void setAlipayNo(String alipayNo) {
        this.alipayNo = alipayNo;
    }

    public String getWeixinNo() {
        return weixinNo;
    }

    public void setWeixinNo(String weixinNo) {
        this.weixinNo = weixinNo;
    }

    public Integer getTableId() {
        return tableId;
    }

    public void setTableId(Integer tableId) {
        this.tableId = tableId;
    }

    public Double getMerMoney() {
        return merMoney;
    }

    public void setMerMoney(Double merMoney) {
        this.merMoney = merMoney;
    }

    public Integer getLastStatus() {
        return lastStatus;
    }

    public void setLastStatus(Integer lastStatus) {
        this.lastStatus = lastStatus;
    }

    public Integer getShareId() {
        return shareId;
    }

    public void setShareId(Integer shareId) {
        this.shareId = shareId;
    }

    public Integer getPayMerId() {
        return payMerId;
    }

    public void setPayMerId(Integer payMerId) {
        this.payMerId = payMerId;
    }

    public Integer getIsSplitToTomorrow() {
        return isSplitToTomorrow;
    }

    public void setIsSplitToTomorrow(Integer isSplitToTomorrow) {
        this.isSplitToTomorrow = isSplitToTomorrow;
    }

    public Double getServiceMoney() {
        return serviceMoney;
    }

    public void setServiceMoney(Double serviceMoney) {
        this.serviceMoney = serviceMoney;
    }

    public Integer getTestOrder() {
        return testOrder;
    }

    public void setTestOrder(Integer testOrder) {
        this.testOrder = testOrder;
    }

    public Integer getDacangId() {
        return dacangId;
    }

    public void setDacangId(Integer dacangId) {
        this.dacangId = dacangId;
    }

    public Integer getDistributionMode() {
        return distributionMode;
    }

    public void setDistributionMode(Integer distributionMode) {
        this.distributionMode = distributionMode;
    }

    public Double getDaCangProfit() {
        return daCangProfit;
    }

    public void setDaCangProfit(Double daCangProfit) {
        this.daCangProfit = daCangProfit;
    }

    public Double getRecommendedMerchants() {
        return recommendedMerchants;
    }

    public void setRecommendedMerchants(Double recommendedMerchants) {
        this.recommendedMerchants = recommendedMerchants;
    }

    public Double getMerFanyong() {
        return merFanyong;
    }

    public void setMerFanyong(Double merFanyong) {
        this.merFanyong = merFanyong;
    }

    public Integer getIsDacang() {
        return isDacang;
    }

    public void setIsDacang(Integer isDacang) {
        this.isDacang = isDacang;
    }

    public Integer getDouhuomall() {
        return douhuomall;
    }

    public void setDouhuomall(Integer douhuomall) {
        this.douhuomall = douhuomall;
    }

    public Integer getDouhuomallStatus() {
        return douhuomallStatus;
    }

    public void setDouhuomallStatus(Integer douhuomallStatus) {
        this.douhuomallStatus = douhuomallStatus;
    }

    public String getDouhuomallMsg() {
        return douhuomallMsg;
    }

    public void setDouhuomallMsg(String douhuomallMsg) {
        this.douhuomallMsg = douhuomallMsg;
    }

    public Integer getAddressId() {
        return addressId;
    }

    public void setAddressId(Integer addressId) {
        this.addressId = addressId;
    }

    public String getDouhuomallOrderNo() {
        return douhuomallOrderNo;
    }

    public void setDouhuomallOrderNo(String douhuomallOrderNo) {
        this.douhuomallOrderNo = douhuomallOrderNo;
    }

    public Integer getSupplyType() {
        return supplyType;
    }

    public void setSupplyType(Integer supplyType) {
        this.supplyType = supplyType;
    }

}

